<?php
require_once($_SERVER['DOCUMENT_ROOT'] . "/session.php");

// 기본 설정
$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : '';
$num = isset($_REQUEST['num']) ? $_REQUEST['num'] : '';
$checkstep = isset($_POST['checkstep']) ? $_POST['checkstep'] : '';
$update_log = isset($_POST['update_log']) ? $_POST['update_log'] : '';

header("Content-Type: application/json");
// include '_request.php';

$tablename = 'work';

// checkstep이 전달된 경우 업데이트 로직
if ($mode == "modify") {
    require_once("../lib/mydb.php");
    $pdo = db_connect();
	
    try {
        // 트랜잭션 시작
        $pdo->beginTransaction();
        $update_log = date("Y-m-d H:i:s") . " - " . $_SESSION["name"] . " " . $update_log . "&#10";
		
        // checkstep 업데이트 쿼리
        $sql = "UPDATE $DB.$tablename SET checkstep = ?, update_log =?  WHERE num = ? LIMIT 1";
        $stmh = $pdo->prepare($sql);
        $stmh->execute([$checkstep, $update_log, $num]);

        // 커밋
        $pdo->commit();

        echo json_encode(['success' => true, 'checkstep' => $checkstep]);
    } catch (PDOException $Exception) {
        // 롤백 및 에러 메시지 반환
        $pdo->rollBack();
        echo json_encode(['error' => $Exception->getMessage()]);
        exit;
    }
} 
?>
